package org.fuseri.modulelanguageschool.lecture;

import org.fuseri.model.dto.lecture.LectureDto;
import org.fuseri.modulelanguageschool.common.DomainMapper;
import org.mapstruct.Mapper;

/**
 * This interface represents a mapper for Lecture entities and Lecture DTOs.
 * It is responsible for mapping between the two representations using MapStruct.
 */
@Mapper
public interface LectureMapper extends DomainMapper<Lecture, LectureDto> {
}
