package org.fuseri.modulelanguageschool.lecture;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * This interface represents a repository for Lecture entities, extending Spring Data's JpaRepository interface.
 * It provides basic CRUD operations for Lecture entities.
 */
@Repository
public interface LectureRepository extends JpaRepository<Lecture, String> {
}
